## r-cran-spatstat.linnet 2.3

=== DESCRIPTION ===
Package: spatstat.linnet
Version: 2.3-1
Date: 2021-12-11
Title: Linear Networks Functionality of the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"),
	     person("Ottmar", "Cronie",
	            role = "ctb"),
	     person("Tilman", "Davies",
	            role = "ctb"),
	     person("Greg", "McSwiggan",
	            role = "ctb"),
	     person("Suman", "Rakshit",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
        2.3-0), spatstat.core (>= 2.3-0), stats, graphics, grDevices,
        methods, utils
Imports: spatstat.utils (>= 2.2-0), Matrix, spatstat.sparse (>= 2.0)
Suggests: goftest, locfit, spatstat (>= 2.0-0)
Description: Defines types of spatial data on a linear network
	     and provides functionality for geometrical operations,
	     data analysis and modelling of data on a linear network,
	     in the 'spatstat' family of packages.
	     Contains definitions and support for linear networks, including creation of networks, geometrical measurements, topological connectivity, geometrical operations such as inserting and deleting vertices, intersecting a network with another object, and interactive editing of networks.
	     Data types defined on a network include point patterns, pixel images, functions, and tessellations.
	     Exploratory methods include kernel estimation of intensity on a network, K-functions and pair correlation functions on a network, simulation envelopes, nearest neighbour distance and empty space distance, relative risk estimation with cross-validated bandwidth selection. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
	Parametric models can be fitted to point pattern data using the function lppm() similar to glm(). Only Poisson models are implemented so far. Models may involve dependence on covariates and dependence on marks. Models are fitted by maximum likelihood.
	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
	Random point patterns on a network can be generated using a variety of models.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.linnet/issues
Packaged: 2021-12-11 10:00:05 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut],
  Ottmar Cronie [ctb],
  Tilman Davies [ctb],
  Greg McSwiggan [ctb],
  Suman Rakshit [ctb]
Repository: CRAN
Date/Publication: 2021-12-11 19:30:05 UTC

## r-cran-spatstat.linnet 2.3-1

=== debian/changelog ===
r-cran-spatstat.linnet (2.3-1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 20:42:52 +0100

r-cran-spatstat.linnet (2.3-0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 13:34:05 +0200

r-cran-spatstat.linnet (2.3-0-1) unstable; urgency=medium

  * Initial release (closes: #992355)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 20:21:12 +0200

=== debian/control ===
Source: r-cran-spatstat.linnet
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 2.1-0),
               r-cran-spatstat.geom (>= 2.3-0),
               r-cran-spatstat.core,
               r-cran-spatstat.utils (>= 2.2-0),
               r-cran-matrix,
               r-cran-spatstat.sparse (>= 2.0),
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
Homepage: https://cran.r-project.org/package=spatstat.linnet
Rules-Requires-Root: no

Package: r-cran-spatstat.linnet
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: linear networks functionality of the 'spatstat' family of GNU R
 Defines types of spatial data on a linear network and provides
 functionality for geometrical operations, data analysis and modelling
 of data on a linear network, in the 'spatstat' family of packages.
 Contains definitions and support for linear networks, including
 creation of networks, geometrical measurements, topological
 connectivity, geometrical operations such as inserting and deleting
 vertices, intersecting a network with another object, and interactive
 editing of networks. Data types defined on a network include point
 patterns, pixel images, functions, and tessellations. Exploratory
 methods include kernel estimation of intensity on a network, K-
 functions and pair correlation functions on a network, simulation
 envelopes, nearest neighbour distance and empty space distance,
 relative risk estimation with cross-validated bandwidth selection.
 Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-
 Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-
 stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-
 Lawson, Kolmogorov-Smirnov, ANOVA) are also supported. Parametric
 models can be fitted to point pattern data using the function lppm()
 similar to glm(). Only Poisson models are implemented so far. Models
 may involve dependence on covariates and dependence on marks. Models
 are fitted by maximum likelihood. Fitted point process models can be
 simulated, automatically. Formal hypothesis tests of a fitted model are
 supported (likelihood ratio test, analysis of deviance, Monte Carlo
 tests) along with basic tools for model selection (stepwise(), AIC())
 and variable selection (sdr). Tools for validating the fitted model
 include simulation envelopes, residuals, residual plots and Q-Q plots,
 leverage and influence diagnostics, partial residuals, and added
 variable plots. Random point patterns on a network can be generated
 using a variety of models.

## r-cran-spatstat.linnet 2.3-2

=== debian/changelog ===
r-cran-spatstat.linnet (2.3-2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 16:09:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                r-base-dev,
                r-cran-spatstat.data (>= 2.1-0),
                r-cran-spatstat.geom (>= 2.3-0),
+               r-cran-spatstat.random,
                r-cran-spatstat.core,
                r-cran-spatstat.utils (>= 2.2-0),
                r-cran-matrix,
-               r-cran-spatstat.sparse (>= 2.0),
-               debhelper
+               r-cran-spatstat.sparse (>= 2.0)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git

## r-cran-spatstat.linnet 3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,30 +1,37 @@
 Package: spatstat.linnet
-Version: 2.3-1
-Date: 2021-12-11
+Version: 3.0-6
+Date: 2023-02-20
 Title: Linear Networks Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
-                    role = c("aut", "cre"),
-       	            email = "Adrian.Baddeley@curtin.edu.au"),
+                    role = c("aut", "cre", "cph"),
+       	            email = "Adrian.Baddeley@curtin.edu.au",
+		    comment = c(ORCID="0000-0001-9499-8382")),
 	     person("Rolf", "Turner", 
-                    role = "aut",
- 	            email="r.turner@auckland.ac.nz"),
+                    role = c("aut", "cph"),
+ 	            email="r.turner@auckland.ac.nz",
+		    comment=c(ORCID="0000-0001-5521-5218")),
 	     person("Ege",   "Rubak", 
-                    role = "aut",
-		    email = "rubak@math.aau.dk"),
+                    role = c("aut", "cph"),
+		    email = "rubak@math.aau.dk",
+		    comment=c(ORCID="0000-0002-6675-533X")),
+	     person("Greg", "McSwiggan",
+	            role = c("aut", "cph")),
+	     person("Tilman", "Davies",
+	            role = c("ctb", "cph")),
+	     person("Mehdi", "Moradi",
+	            role = c("ctb", "cph")),
+	     person("Suman", "Rakshit",
+	            role = c("ctb", "cph")),
 	     person("Ottmar", "Cronie",
-	            role = "ctb"),
-	     person("Tilman", "Davies",
-	            role = "ctb"),
-	     person("Greg", "McSwiggan",
-	            role = "ctb"),
-	     person("Suman", "Rakshit",
 	            role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
-        2.3-0), spatstat.core (>= 2.3-0), stats, graphics, grDevices,
+Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
+        3.0-6), spatstat.random (>= 3.1-3), spatstat.explore (>=
+        3.0-6), spatstat.model (>= 3.2-1), stats, graphics, grDevices,
         methods, utils
-Imports: spatstat.utils (>= 2.2-0), Matrix, spatstat.sparse (>= 2.0)
-Suggests: goftest, locfit, spatstat (>= 2.0-0)
+Imports: spatstat.utils (>= 3.0), Matrix, spatstat.sparse (>= 3.0)
+Suggests: goftest, locfit, spatstat (>= 3.0)
+Additional_repositories: https://spatstat.r-universe.dev
 Description: Defines types of spatial data on a linear network
 	     and provides functionality for geometrical operations,
 	     data analysis and modelling of data on a linear network,
@@ -40,13 +47,15 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.linnet/issues
-Packaged: 2021-12-11 10:00:05 UTC; adrian
-Author: Adrian Baddeley [aut, cre],
-  Rolf Turner [aut],
-  Ege Rubak [aut],
-  Ottmar Cronie [ctb],
-  Tilman Davies [ctb],
-  Greg McSwiggan [ctb],
-  Suman Rakshit [ctb]
+Packaged: 2023-02-20 03:51:48 UTC; adrian
+Author: Adrian Baddeley [aut, cre, cph]
+    (<https://orcid.org/0000-0001-9499-8382>),
+  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
+  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
+  Greg McSwiggan [aut, cph],
+  Tilman Davies [ctb, cph],
+  Mehdi Moradi [ctb, cph],
+  Suman Rakshit [ctb, cph],
+  Ottmar Cronie [ctb]
 Repository: CRAN
-Date/Publication: 2021-12-11 19:30:05 UTC
+Date/Publication: 2023-02-22 01:10:02 UTC

## r-cran-spatstat.linnet 3.0-4

=== debian/changelog ===
r-cran-spatstat.linnet (3.0-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:04:05 +0100

r-cran-spatstat.linnet (3.0-3-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:12:58 +0100

r-cran-spatstat.linnet (3.0-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: r-cran-spatstat.explore, r-cran-spatstat.model

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.1-0),
-               r-cran-spatstat.geom (>= 2.3-0),
-               r-cran-spatstat.random,
-               r-cran-spatstat.core,
-               r-cran-spatstat.utils (>= 2.2-0),
+               r-cran-spatstat.data (>= 3.0),
+               r-cran-spatstat.geom (>= 3.0-5),
+               r-cran-spatstat.random (>= 3.1-2),
+               r-cran-spatstat.explore,
+               r-cran-spatstat.model (>= 3.1),
+               r-cran-spatstat.utils (>= 3.0),
                r-cran-matrix,
-               r-cran-spatstat.sparse (>= 2.0)
-Standards-Version: 4.6.0
+               r-cran-spatstat.sparse (>= 3.0)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
 Homepage: https://cran.r-project.org/package=spatstat.linnet

## r-cran-spatstat.linnet 3.0-6

=== debian/changelog ===
r-cran-spatstat.linnet (3.0-6-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 12:52:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.0-5),
-               r-cran-spatstat.random (>= 3.1-2),
+               r-cran-spatstat.geom (>= 3.0-6),
+               r-cran-spatstat.random,
                r-cran-spatstat.explore,
-               r-cran-spatstat.model (>= 3.1),
+               r-cran-spatstat.model (>= 3.2-1),
                r-cran-spatstat.utils (>= 3.0),
                r-cran-matrix,
                r-cran-spatstat.sparse (>= 3.0)

## r-cran-spatstat.linnet 3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.linnet
-Version: 3.0-6
-Date: 2023-02-20
+Version: 3.1-3
+Date: 2023-10-28
 Title: Linear Networks Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -8,7 +8,7 @@
 		    comment = c(ORCID="0000-0001-9499-8382")),
 	     person("Rolf", "Turner", 
                     role = c("aut", "cph"),
- 	            email="r.turner@auckland.ac.nz",
+ 	            email="rolfturner@posteo.net",
 		    comment=c(ORCID="0000-0001-5521-5218")),
 	     person("Ege",   "Rubak", 
                     role = c("aut", "cph"),
@@ -26,12 +26,11 @@
 	            role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
 Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
-        3.0-6), spatstat.random (>= 3.1-3), spatstat.explore (>=
-        3.0-6), spatstat.model (>= 3.2-1), stats, graphics, grDevices,
+        3.2-7), spatstat.random (>= 3.2-1), spatstat.explore (>=
+        3.2-5), spatstat.model (>= 3.2-8), stats, graphics, grDevices,
         methods, utils
-Imports: spatstat.utils (>= 3.0), Matrix, spatstat.sparse (>= 3.0)
+Imports: spatstat.utils (>= 3.0-3), Matrix, spatstat.sparse (>= 3.0)
 Suggests: goftest, locfit, spatstat (>= 3.0)
-Additional_repositories: https://spatstat.r-universe.dev
 Description: Defines types of spatial data on a linear network
 	     and provides functionality for geometrical operations,
 	     data analysis and modelling of data on a linear network,
@@ -47,7 +46,7 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.linnet/issues
-Packaged: 2023-02-20 03:51:48 UTC; adrian
+Packaged: 2023-10-28 08:14:31 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
@@ -58,4 +57,4 @@
   Suman Rakshit [ctb, cph],
   Ottmar Cronie [ctb]
 Repository: CRAN
-Date/Publication: 2023-02-22 01:10:02 UTC
+Date/Publication: 2023-10-28 15:00:02 UTC

## r-cran-spatstat.linnet 3.1-1

=== debian/changelog ===
r-cran-spatstat.linnet (3.1-1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 16:43:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.0-6),
+               r-cran-spatstat.geom (>= 3.2-1),
                r-cran-spatstat.random,
-               r-cran-spatstat.explore,
-               r-cran-spatstat.model (>= 3.2-1),
-               r-cran-spatstat.utils (>= 3.0),
+               r-cran-spatstat.explore (>= 3.2-1),
+               r-cran-spatstat.model,
+               r-cran-spatstat.utils (>= 3.0-3),
                r-cran-matrix,
                r-cran-spatstat.sparse (>= 3.0)
 Standards-Version: 4.6.2

## r-cran-spatstat.linnet 3.1-3

=== debian/changelog ===
r-cran-spatstat.linnet (3.1-3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Oct 2023 16:24:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.2-1),
-               r-cran-spatstat.random,
-               r-cran-spatstat.explore (>= 3.2-1),
+               r-cran-spatstat.geom (>= 3.2-7),
+               r-cran-spatstat.random (>= 3.2-1),
+               r-cran-spatstat.explore (>= 3.2-5),
                r-cran-spatstat.model,
                r-cran-spatstat.utils (>= 3.0-3),
                r-cran-matrix,

## r-cran-spatstat.linnet 3.1-5

=== debian/changelog ===
r-cran-spatstat.linnet (3.1-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 May 2024 16:40:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.2-7),
-               r-cran-spatstat.random (>= 3.2-1),
-               r-cran-spatstat.explore (>= 3.2-5),
+               r-cran-spatstat.data (>= 3.0-4),
+               r-cran-spatstat.geom (>= 3.2-9),
+               r-cran-spatstat.random (>= 3.2-3),
+               r-cran-spatstat.explore (>= 3.2-7),
                r-cran-spatstat.model,
-               r-cran-spatstat.utils (>= 3.0-3),
+               r-cran-spatstat.utils (>= 3.0-4),
                r-cran-matrix,
-               r-cran-spatstat.sparse (>= 3.0)
-Standards-Version: 4.6.2
+               r-cran-spatstat.sparse (>= 3.0-3)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
 Homepage: https://cran.r-project.org/package=spatstat.linnet

## r-cran-spatstat.linnet 3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.linnet
-Version: 3.1-3
-Date: 2023-10-28
+Version: 3.2-5
+Date: 2025-01-22
 Title: Linear Networks Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -25,11 +25,11 @@
 	     person("Ottmar", "Cronie",
 	            role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.0), spatstat.geom (>=
-        3.2-7), spatstat.random (>= 3.2-1), spatstat.explore (>=
-        3.2-5), spatstat.model (>= 3.2-8), stats, graphics, grDevices,
-        methods, utils
-Imports: spatstat.utils (>= 3.0-3), Matrix, spatstat.sparse (>= 3.0)
+Depends: R (>= 3.5.0), stats, graphics, grDevices, methods, utils,
+        spatstat.data (>= 3.1-4), spatstat.univar (>= 3.1-1),
+        spatstat.geom (>= 3.3-4), spatstat.random (>= 3.3-2),
+        spatstat.explore (>= 3.3-3), spatstat.model (>= 3.3-4)
+Imports: Matrix, spatstat.utils (>= 3.1-2), spatstat.sparse (>= 3.1-0)
 Suggests: goftest, locfit, spatstat (>= 3.0)
 Description: Defines types of spatial data on a linear network
 	     and provides functionality for geometrical operations,
@@ -46,7 +46,7 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.linnet/issues
-Packaged: 2023-10-28 08:14:31 UTC; adrian
+Packaged: 2025-01-22 00:22:20 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
@@ -57,4 +57,4 @@
   Suman Rakshit [ctb, cph],
   Ottmar Cronie [ctb]
 Repository: CRAN
-Date/Publication: 2023-10-28 15:00:02 UTC
+Date/Publication: 2025-01-22 01:10:02 UTC

## r-cran-spatstat.linnet 3.2-5

=== debian/changelog ===
r-cran-spatstat.linnet (3.2-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 10:53:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: r-cran-spatstat.linnet
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
+Homepage: https://cran.r-project.org/package=spatstat.linnet
+Standards-Version: 4.7.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-4),
-               r-cran-spatstat.geom (>= 3.2-9),
-               r-cran-spatstat.random (>= 3.2-3),
-               r-cran-spatstat.explore (>= 3.2-7),
-               r-cran-spatstat.model,
-               r-cran-spatstat.utils (>= 3.0-4),
+               r-cran-spatstat.data (>= 3.1-4),
+               r-cran-spatstat.geom (>= 3.3-4),
+               r-cran-spatstat.random (>= 3.3-2),
+               r-cran-spatstat.explore (>= 3.3-3),
+               r-cran-spatstat.model (>= 3.3-4),
                r-cran-matrix,
-               r-cran-spatstat.sparse (>= 3.0-3)
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
-Homepage: https://cran.r-project.org/package=spatstat.linnet
-Rules-Requires-Root: no
+               r-cran-spatstat.utils (>= 3.1-2),
+               r-cran-spatstat.sparse (>= 3.1-0)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.linnet
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name CITATION -o -name Makefile -o -name "*.txt" -o -name "*.Rd" -o -name "*.r" \) -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-goftest,
        r-cran-locfit,
        r-cran-spatstat (>= 3.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.linnet_([-\d.]*)\.tar\.gz

## r-cran-spatstat.linnet 3.4-1

=== debian/changelog ===
r-cran-spatstat.linnet (3.4-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 09:58:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,47 @@
 Source: r-cran-spatstat.linnet
+Standards-Version: 4.7.3
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: gnu-r
-Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Testsuite: autopkgtest-pkg-r
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-spatstat.data (>= 3.1-9),
+ r-cran-spatstat.univar,
+ r-cran-spatstat.geom (>= 3.7),
+ r-cran-spatstat.random (>= 3.4-4),
+ r-cran-spatstat.explore (>= 3.7),
+ r-cran-spatstat.model (>= 3.6-1),
+ r-cran-matrix,
+ r-cran-spatstat.utils (>= 3.2-1),
+ r-cran-spatstat.sparse (>= 3.1),
+ r-cran-spatstat.data (>= 3.1-4),
+ r-cran-spatstat.geom (>= 3.3-4),
+ r-cran-spatstat.random (>= 3.3-2),
+ r-cran-spatstat.explore (>= 3.3-3),
+ r-cran-spatstat.model (>= 3.3-4),
+ r-cran-spatstat.utils (>= 3.1-2),
+ r-cran-spatstat.sparse (>= 3.1-0),
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.linnet.git
 Homepage: https://cran.r-project.org/package=spatstat.linnet
-Standards-Version: 4.7.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-spatstat.data (>= 3.1-4),
-               r-cran-spatstat.geom (>= 3.3-4),
-               r-cran-spatstat.random (>= 3.3-2),
-               r-cran-spatstat.explore (>= 3.3-3),
-               r-cran-spatstat.model (>= 3.3-4),
-               r-cran-matrix,
-               r-cran-spatstat.utils (>= 3.1-2),
-               r-cran-spatstat.sparse (>= 3.1-0)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.linnet
 Architecture: any
-Depends: ${R:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: linear networks functionality of the 'spatstat' family of GNU R
  Defines types of spatial data on a linear network and provides
  functionality for geometrical operations, data analysis and modelling

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-goftest,
 r-cran-locfit,
 r-cran-spatstat (>= 3.5),
 r-cran-spatstat (>= 3.0),
